Bug 38305 - Symbols in status bar do not follow new Theme in opened document
Summary: Symbols in status bar do not follow new Theme in opened document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Statusbar Icon-Themes-Code-UpdateUI
  Show dependency treegraph
 
Reported: 2011-06-14 08:33 UTC by Rainer Bielefeld Retired
Modified: 2021-07-04 06:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot, pls. see original report! (178.89 KB, application/x-download)
2011-06-14 08:35 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-06-14 08:33:38 UTC
Steps how to reproduce with "LibreOffice 3.4.0  – WIN7  Home Premium  (64bit) German UI [OOO340m1 (Build:12)]":

0. Start LibO, open new WRITER document
1. If theme "Tango" not selected:
1.1 Menu 'Tools > Options > LibO > View UI Icon Style and Size - Theme'
    select "Tango" <ok>
1.2 Close LibO
1.3 Start LibO, open new WRITER document
2. Menu 'Tools > Options > LibO > View UI Icon Style and Size - Theme'
   select "High Contrast" <ok>
   Watch Icons and symbols in status bar
   Expected: everything switches to "High Contrast"
   Actual: Zoom buttons and zoom page symbols remain "Tango"
3. Open new Document or close and restart LibO
   Now symbols in Status Bar will be "High Contrast"
Comment 1 Rainer Bielefeld Retired 2011-06-14 08:35:06 UTC
Created attachment 47963 [details]
Screenshot, pls. see original report!
Comment 2 Jacqueline Rahemipour 2011-06-18 14:40:46 UTC
Confirmed with LibO 3.4.0, Win7 and OpenSuSE
Comment 3 Rainer Bielefeld Retired 2011-06-23 10:54:44 UTC
Due to Comment 2
Comment 4 Björn Michaelsen 2011-12-23 13:27:00 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 5 A (Andy) 2014-03-08 20:59:09 UTC
reproducible with LO 4.2.1.1 (Win 8.1)

When changing back from High Contrast to e.g. Sifr or Tango the zoom buttons in the status bar will only updated after closing and reopening LO (different to the other buttons in the menu that will be changed already without reopening LO).
Comment 6 Joel Madero 2015-05-02 15:44:37 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-06-21 13:30:39 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 8 QA Administrators 2017-03-06 14:46:36 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2018-10-21 00:52:54 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: 6baca63b44bf7f75a522b1adc4b4bbce502aec3b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from yesterday
Comment 10 andreas_k 2018-12-21 10:45:31 UTC
I can confim this bug in 6.2. Simple the Statusbar didn't update after an icon theme change. But it fall back to colibre so the visual issue is not that big when switch from default to another theme.
Comment 11 andreas_k 2019-04-24 21:00:43 UTC
would be awesome if someone can add an update the ui to the statusbar when change the icon theme, but it's not an icon theme issue.
Comment 12 Rizal Muttaqin 2019-07-04 15:00:43 UTC
Reproducible

Version: 6.4.0.0.alpha0+
Build ID: 12748b06cbdefd67725009520e4c27bd82cab60f
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-07-02_13:36:22
Locale: id-ID (id_ID.UTF-8); UI-Language: en-US
Calc: threaded

Some of UI's part behave just like this. Need a dev touch though
Comment 13 QA Administrators 2021-07-04 04:37:07 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug